<?php

$productos = [
    [
        'nombre' => 'Tablet', 
        'precio' => 200,
        'disponible' => true
    ],
    [
        'nombre' => 'Televisión 24"', 
        'precio' => 300,
        'disponible' => true
    ],
    [
        'nombre' => 'Monitor Curvo', 
        'precio' => 400,
        'disponible' => false
    ]
];

echo "<pre>";
/* muestra el arreglo */
var_dump($productos);
/* este arreglo de php no se puede leer directemante en js */
/* hay que convertirlo en json */

/* usamos la funcion php json_encode 
   necestiamos una conversión para los acentos
   usamos JSON_UNESCAPED_UNICODE
*/
$json = json_encode($productos, JSON_UNESCAPED_UNICODE);
var_dump($json);

/* para operar con el objeto json hay que convertir el json
   en objeto de php usamos json_decode */
$json_array = json_decode($json);
var_dump($json_array);

echo "</pre>";